﻿@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_MockTest>
@{ 
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
}

<strong>Country Interested :</strong>
<table class="table">
    <thead>
        <tr>
            <th>
                Mock Test Date
            </th>
            <th>
                Enter Date
            </th>
            <th>
                Name
            </th>
            <th>
                List.
            </th>
            <th>
                Read.
            </th>

            <th>
                Writ.
            </th>
            <th>
                Speak
            </th>
            <th>
                Overall Score
            </th>
            <th>
                Category
            </th>
            <th>
                Enter By
            </th>
            <th>
                Country Interested
            </th>
        </tr>
    </thead>
    <tbody>
        @{ 
            int i = 1;
        }
        @foreach (var item in Model)
        {
            if (item != null)
            {

                try
                {
                    MaAdmission obj = new MaAdmission();

                    int count = db.MaAdmissions.Where(z => z.Id == item.StudentId).Count();
                    if (count > 0)
                    {
                        obj = db.MaAdmissions.Where(z => z.Id == item.StudentId).First();

                    }


                    <tr>
                        <td>
                            @{
                                string testdate = string.Format("{0:dd MMM, yyyy}", item.TestDate);


                            }
                            @testdate
                        </td>
                        <td>
                            @{
                                string enterdate = string.Format("{0:dd MMM, yyyy}", item.CDate);
                            }
                            @enterdate
                        </td>
                        <td>
                            @obj.FirstName @obj.LastName
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.LBand)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.RBand)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.WBand)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.SBand)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Overall)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Category)
                        </td>
                        <td>
                            @{
                                User Userobj = new User();
                                Userobj = db.Users.Where(z => z.Id == item.UserId).First();
                            }
                            @Userobj.Fullname

                        </td>
                        <th>
                            @obj.MaEnquiry.CountryInterested
                        </th>
                    </tr>
                                            i++;
                                        }
                                        catch (Exception ex)
                                        {

                                        }
                                    }


                                }
    </tbody>
</table>
<input type="hidden" value="@i" id="countrows" />
